Name:           python-grokmirror
Version:        2.0.11
Release:    1%{?dist}
Summary:        Framework to smartly mirror git repositories

License:        GPLv3+
URL:            https://git.kernel.org/pub/scm/utils/grokmirror/grokmirror.git
Source0:        https://www.kernel.org/pub/software/network/grokmirror/grokmirror-%{version}.tar.xz

BuildArch:      noarch
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools

%global _description\
Grokmirror was written to make mirroring large git repository\
collections more efficient. Grokmirror uses the manifest file published\
by the master mirror in order to figure out which repositories to\
clone, and to track which repositories require updating. The process is\
extremely lightweight and efficient both for the master and for the\
mirrors.

%description %_description

%package -n python3-grokmirror
Summary:        %summary
Requires:       python3-GitPython, python3-anyjson, python3-setuptools, python3-enlighten
%{?python_provide:%python_provide python3-grokmirror}

%description -n python3-grokmirror %_description

%prep
%autosetup -n grokmirror-%{version}


%build
%py3_build


%install
%py3_install

%{__mkdir_p} -m 0755 \
    %{buildroot}%{_mandir}/man1

%{__install} -m 0644 man/*.1 %{buildroot}/%{_mandir}/man1/


%files -n python3-grokmirror
%license LICENSE.txt
%doc README.rst CHANGELOG.rst
%{python3_sitelib}/*
%{_bindir}/grok-*
%{_mandir}/*/*

%changelog
* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.0.11-1
- initial build
